//-----------------------------------------------------------------------------
#ifndef DeviceHandlerBlueFOXH
#define DeviceHandlerBlueFOXH DeviceHandlerBlueFOXH
//-----------------------------------------------------------------------------
#include "DeviceHandler.h"

//-----------------------------------------------------------------------------
class DeviceHandlerBlueFOX : public DeviceHandler
//-----------------------------------------------------------------------------
{
public:
    DeviceHandlerBlueFOX( mvIMPACT::acquire::Device* pDev ) : DeviceHandler( pDev, true ) {}
    static DeviceHandler* Create( mvIMPACT::acquire::Device* pDev )
    {
        return new DeviceHandlerBlueFOX( pDev );
    }
    virtual bool SupportsFirmwareUpdate( void ) const
    {
        return true;
    }
    virtual int UpdateFirmware( bool boSilentMode, bool boPersistentUserSets );
};

#endif // DeviceHandlerBlueFOXH
